@media (max-width: 921px ) {

    .wp-block-site-logo {
        z-index: 999999;
    }

    .wp-block-navigation button:not(.wp-block-navigation__submenu-icon) {
        transform: scale(1.8);
    }

    .wp-block-navigation__responsive-container.is-menu-open {
        z-index: 9;
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .wp-block-navigation__responsive-container-close {
        margin-right: -0.2em;
        margin-top: -0.7em;
    }

    /* adding this padding because of wordpress bar */
    .logged-in .wp-block-navigation__responsive-container.is-menu-open {
        padding-top: 5rem;
    }

    .wp-block-navigation ul {
        width: 100% !important;
    }

    /* Submenu */
    .wp-block-navigation__responsive-container .has-child > a{
        width: 90%;
    }

    /* Dropdown icon */
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon {
        display: block;
        height: 20px;
    }

    /* Sublist flex */
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item {
        flex-wrap: wrap;
        flex-direction: row;
        width: 100%;
        justify-content: space-between;
    }

    .wp-block-navigation__container .wp-block-navigation-item__content {
        flex: 1;
    }

    /* Hide submenu if aria false */
    .wp-block-navigation__submenu-icon[aria-expanded="false"] + ul {
        height: 0 !important;
        min-height: 0 !important;
        opacity: 0 !important;
        padding-top: 0 !important;
        visibility: hidden !important;
    }

    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .submenu-container, 
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container{
        padding-left: 0.2em;
        padding-right: 0;
    }

    .wp-block-navigation__container,
    .wp-block-navigation__submenu-container {
        gap: 0 !important;
        padding-top: 0 !important;
    }

    /* primary */
    .wp-block-navigation__container > .wp-block-navigation-item > a {
        padding: 0.8em 1em 0.8em 0 !important;
        border-bottom: 1px solid var(--wp--preset--color--tertiary);
    }

    /* sub items */
    .wp-block-navigation__container .wp-block-navigation__submenu-container .wp-block-navigation-item a {
        padding: 0.8em 1em 0.8em 0 !important;
        border-bottom: 1px solid var(--wp--preset--color--background-light);
    }


    /* Changing Breakpoint */
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: block;
    }

    .wp-block-navigation__responsive-container .wp-block-navigation__responsive-container-content {
        display: none;
    }

    .wp-block-navigation__responsive-container:not(.is-menu-open) {
        display: none !important;
    }
}


@media (min-width: 920px) {
    .wp-block-navigation__responsive-container,
    .wp-block-navigation__responsive-container > div,
    .wp-block-navigation__responsive-container > div > div, 
    .wp-block-navigation__responsive-container > div > div > div,
    .wp-block-navigation__responsive-container > div > div > div > ul,
    .wp-block-navigation__responsive-container > div > div > div > ul > li {
        height: 100%;
    }

    /* Mega Menu in desktop */
    .header-wrapper {
        position: relative;
    }

    .wp-block-navigation,
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open),
    .wp-block-navigation__responsive-dialog {
        position: initial
    }

    .wp-block-navigation .wp-block-navigation-item.is-style-mega-menu {
        position: initial;
    }

    .wp-block-navigation .block-editor-block-list__block.has-child.is-style-mega-menu > .wp-block-navigation__submenu-container,
    .wp-block-navigation .has-child.is-style-mega-menu:where(:not(.open-on-click)):hover > .wp-block-navigation__submenu-container {
        display: flex;
        width: calc(100% + 2rem) !important;/* Remove padding */
        margin-left: -0.95rem;
        padding: 20px 50px;
        flex-direction: row;
        justify-content: space-around;
        gap: 30px;
        box-sizing: border-box;
    }

    .wp-block-navigation__container > .wp-block-navigation-item.has-child > .wp-block-navigation__submenu-container {
        box-shadow: 0 3px 3px rgba(0,0,0,0.3);
    }

    /* sub submenus open on megamenu */
    .is-style-mega-menu .wp-block-navigation__submenu-container .wp-block-navigation-item {
        align-items: flex-start;
        flex-wrap: wrap;
        flex: 1;
    }

    .is-style-mega-menu .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container {
        border: 0;
        opacity: 1;
        visibility: visible;
        height: auto;
        position: relative;
        width: 100% !important;
        left: 0;
    }

    .wp-block-navigation .is-style-mega-menu.has-child .wp-block-navigation__submenu-icon svg {
        transform: rotate(0);
    }

    .is-style-mega-menu ul .wp-block-navigation__submenu-icon {
        margin-left: -15px;
    }


    /* top level in mega menu */
    .is-style-mega-menu > ul > li > a {
        font-weight: bold;
        text-transform: uppercase;
        border-bottom: 1px solid var(--wp--preset--color--tertiary);
        z-index: 9;
        margin-bottom: 10px !important
    }

    /* transitions to submenus */
    .wp-block-navigation .has-child >.wp-block-navigation__submenu-container {
        transition: opacity 0.2s;
        transition-delay: 0.3s;
    }

    /* Changing Breakpoint */

}

@media (min-width: 1820px) {
    .wp-block-navigation .block-editor-block-list__block.has-child.is-style-mega-menu > .wp-block-navigation__submenu-container,
    .wp-block-navigation .has-child.is-style-mega-menu:where(:not(.open-on-click)):hover > .wp-block-navigation__submenu-container {
        width: 100vw !important;/* Remove padding */
        margin-left: calc((100vw - 1520px) / -2);
    }
}


/* submenus in mega menu */
.is-style-mega-menu .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container a {
    padding-top: 0.2em;
    padding-bottom: 0.2em;
}


/* Block editor */

.block-editor-block-list__block.has-child-selected.wp-block-navigation,
.block-editor-block-content-overlay.wp-block-navigation__container.block-editor-block-list__layout {
    position: initial;
}

.block-editor-block-list__block.has-child.is-style-mega-menu > .block-editor-block-list__layout {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-left: 0 !important;
}

.wp-block-navigation__submenu-container.block-editor-block-list__layout .wp-block-navigation__submenu-container.block-editor-block-list__layout {
    position: relative;
    left: 0;
}

.block-editor-block-list__block.has-child.is-style-mega-menu .block-list-appender.wp-block {
    width: auto;
    min-width: 200px;
}

.block-editor-block-list__block.has-child.is-style-mega-menu .wp-block-navigation__submenu-container.block-editor-block-list__layout .wp-block-navigation__submenu-container.block-editor-block-list__layout {
    width: 100% !important;
}
